package com.huimv.env.input;

import com.huimv.env.input.server.EnvInputServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;


@SpringBootApplication
@MapperScan("com.huimv.env.input.mapper")
public class HuimvEnvInputApplication {
    public static void main(String[] args) throws InterruptedException {
        ApplicationContext applicationContext = SpringApplication.run(HuimvEnvInputApplication.class, args);
        // EnvInputServer
        applicationContext.getBean(EnvInputServer.class).run();
    }
//    @Bean
//    public ServerEndpointExporter serverEndpointExporter() {
//        return new ServerEndpointExporter();
//    }

}
